Delete reusable steps
DELETE
/reusablesteps/{id}Deletes a set of reusable steps
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, ReusableStepsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new ReusableStepsApi(config);
const result = await api.deleteReusableStep({ "project": 123, "id": 123});console.log(result);curl --request DELETE \ "https://api.testcollab.io/reusablesteps/123?token=$TESTCOLLAB_TOKEN&project=123"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
project |
query | number | Yes | Project ID |
id |
path | number | Yes | Reusable step ID |
Response
Section titled “Response”200 — Action status details
{}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
401 |
Unauthorized |
403 |
Forbidden |
404 |
Not found |
500 |
Internal server error |